Skip to main content
PUT
/
table
/
column
/
{columnId}
Update a column
curl --request PUT \
  --url https://app.myhero.so/table/column/{columnId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "type": "identifier",
  "number": {
    "format": "<string>",
    "decimalPlaces": 123
  },
  "oneMany": {
    "tableId": "<string>"
  },
  "selectItems": [
    {
      "id": "<string>",
      "label": "<string>",
      "color": "<string>"
    }
  ]
}
'
{
  "data": {
    "_id": "<string>",
    "projectId": "<string>",
    "tableId": "<string>",
    "workspaceId": "<string>",
    "isIdentifier": false,
    "name": "<string>",
    "slug": "<string>",
    "data": {
      "type": "identifier",
      "selectItems": [
        {
          "id": "<string>",
          "label": "<string>",
          "color": "<string>"
        }
      ],
      "number": {
        "format": "<string>",
        "decimalPlaces": 123
      },
      "oneMany": {
        "tableId": "<string>"
      }
    },
    "createdAt": 123,
    "updatedAt": 123,
    "originId": "<string>",
    "description": "<string>",
    "isDeleted": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.myhero.so/llms.txt

Use this file to discover all available pages before exploring further.

Updates a column’s name, description, data type, or type-specific options (number, oneMany, selectItems). When renaming, all table references that display this column’s name are updated automatically. Returns 409 on a duplicate name within the same table.

Authorizations

Authorization
string
header
required

HERO personal access token

Path Parameters

columnId
string
required
Minimum string length: 1

Body

application/json
name
string
description
string
type
enum<string>
Available options:
identifier,
oneMany,
string,
number,
money,
time,
location,
date,
checkbox,
formula,
select,
multiSelect,
linkCell,
email,
url,
phone
number
object
oneMany
object
selectItems
object[]

Response

200 response

data
object
required